## schooltool.intervention 2.0.0

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool.intervention
LOCALES=src/schooltool/intervention/locales
TRANSLATIONS_ZCML=schooltool/intervention/translations.zcml

DIST=/home/ftp/pub/schooltool/flourish
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: python
	python/bin/python bootstrap.py

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

.PHONY: run
run: build instance
	bin/start-schooltool-instance instance

.PHONY: tags
tags: build
	bin/tags

.PHONY: clean
clean:
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean:
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=coverage
	mv parts/test/coverage .

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: coverage
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=ftest-coverage
	mv parts/test/ftest-coverage .

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Release

.PHONY: release
release: compile-translations
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	@VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
	    python-all-dev python-virtualenv \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

=== debian/changelog ===
schooltool.intervention (2.0.0-0ubuntu2) precise; urgency=low

  * Upload to Precise.
  * debian/rules: Fix to not install *.po files.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Nov 2011 21:00:33 +0200

schooltool.intervention (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: specify buildsystem, latest release includes a Makefile.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 22 Nov 2011 18:21:41 +0200

schooltool.intervention (1.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format.
  * debian/pydist-overrides: remove, we use van.pydeb.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 28 Oct 2011 18:02:15 +0300

schooltool.intervention (1.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish beta".
    - Fully translatable.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 06 Oct 2011 19:10:56 +0300

schooltool.intervention (1.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish alpha".

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Sep 2011 18:14:33 +0300

schooltool.intervention (0.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: move gradebook to Suggests.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 19 Sep 2011 19:56:26 +0300

schooltool.intervention (0.4.2-0ubuntu4) oneiric; urgency=low

  * dh_python2 transition
  * added pydist-overrides to assist dh_python2 calculate Depends.
  * debian/control
    - increased python-all to (>= 2.6.6-3~).
    - removed B-D on python-central.
    - added X-P-V >= 2.6.
    - removed XB-P-V, no longer needed.
  * debian/rules
    - replaced "--with python-central" with "--with python2"
    - replace rm statement with dh_install exclude.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Sat, 25 Jun 2011 19:46:23 -0500

schooltool.intervention (0.4.2-0ubuntu3) natty; urgency=low

  * Upload to Ubuntu (LP: #724366).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 24 Feb 2011 17:10:33 +0200

schooltool.intervention (0.4.2-0ubuntu2) natty; urgency=low

  * debian/copyright: Add section about bootstrap.py.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Feb 2011 18:17:25 +0200

schooltool.intervention (0.4.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/copyright: Convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 19 Feb 2011 17:30:16 +0200

schooltool.intervention (0.4.1-1) maverick; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 04 Oct 2010 22:43:35 +0300

schooltool.intervention (0.4.0.1-1) maverick; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 15 Sep 2010 15:46:44 +0300

schooltool.intervention (0.3.2-1) lucid; urgency=low

  * New upstream release, only translation updates.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 15 Jul 2010 22:27:40 +0300

schooltool.intervention (0.3.1-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Apr 2010 03:51:07 +0300

schooltool.intervention (0.3.0-1) karmic; urgency=low

  * New upstream release.
  * Do not include *.po translation files in the package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 09 Apr 2010 17:16:40 +0300

schooltool.intervention (0.2.1-1) karmic; urgency=low

  * New upstream release.
  * Switch to using van.pydeb
  * Move test dependencies to Suggests
  * Fix debian/tests to work on python2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Feb 2010 01:30:05 +0200

schooltool.intervention (0.2.0-1) karmic; urgency=low

  * New upstream release

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 06 Jan 2010 19:29:46 +0200

python-schooltool.intervention (0.1.3-1) karmic; urgency=low

  * New upstream release

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 30 Dec 2009 16:28:45 +0200

python-schooltool.intervention (0.1.2-1) karmic; urgency=low

  * New upstream release

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 06 Nov 2009 18:46:08 +0200

python-schooltool.intervention (0.1.1-1) karmic; urgency=low

  * Initial Release

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 05 Nov 2009 20:52:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test gradebook

%:
	dh $@ -Spython_distutils --with pydeb --with python2

override_dh_auto_build:
	rm -f src/schooltool/intervention/locales/*.po
	dh_auto_build

## schooltool.intervention 2.0.1

=== debian/changelog ===
schooltool.intervention (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: install upstream changelog.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Dec 2011 20:45:03 +0200

=== debian/control ===
Source: schooltool.intervention
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: https://launchpad.net/schooltool.intervention

Package: python-schooltool.intervention
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:1.9)
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Description: Student intervention plugin for SchoolTool
 With SchoolTool Intervention, teachers and other stakeholders can
 define a plan of action for a student, track progress toward goals and
 facilitate communication around these issues.
 .
 SchoolTool Intervention is part of the standard distribution of SchoolTool.

## schooltool.intervention 2.0.3

=== debian/changelog ===
schooltool.intervention (2.0.3-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 15 Mar 2012 17:21:51 +0200

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing, python-zope.app.testing, python-zope.intid, python-zope.site

## schooltool.intervention 2.0.4

=== debian/changelog ===
schooltool.intervention (2.0.4-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 12 Apr 2012 03:43:56 +0300

## schooltool.intervention 2.1.0

=== Makefile ===
--- 
+++ 
@@ -80,14 +80,12 @@
 
 .PHONY: coverage
 coverage: build
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
 	rm -rf coverage
-	bin/test --at-level 2 -u --coverage=coverage
-	mv parts/test/coverage .
+	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: coverage
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
+coverage-reports-html coverage/reports: build
+	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
 	bin/coverage coverage coverage/reports
@@ -95,14 +93,12 @@
 
 .PHONY: ftest-coverage
 ftest-coverage: build
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
 	rm -rf ftest-coverage
-	bin/test --at-level 2 -f --coverage=ftest-coverage
-	mv parts/test/ftest-coverage .
+	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
+ftest-coverage-reports-html ftest-coverage/reports: build
+	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
 	bin/coverage ftest-coverage ftest-coverage/reports

=== debian/changelog ===
schooltool.intervention (2.1.0-0ubuntu1) precise; urgency=low

  * Re-release as 2.1.0

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 18 Apr 2012 21:03:14 +0300

## schooltool.intervention 2.1.1

=== debian/changelog ===
schooltool.intervention (2.1.1-0ubuntu3) quantal; urgency=low

  * debian/tests: use zope.testrunner

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 20 Sep 2012 19:19:17 +0300

schooltool.intervention (2.1.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 08 Aug 2012 19:34:45 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/schooltool.intervention
 
 Package: python-schooltool.intervention
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:1.9)
+         python-schooltool (>= 1:2.0.3)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Student intervention plugin for SchoolTool

## schooltool.intervention 2.3.0

=== debian/changelog ===
schooltool.intervention (2.3.0-0ubuntu2) raring; urgency=low

  * New upstream release.
  * debian/control: Change section to education

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 30 Oct 2012 22:45:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: schooltool.intervention
-Section: python
+Section: education
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>

## schooltool.intervention 2.3.1.1

=== debian/changelog ===
schooltool.intervention (2.3.1.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.4.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 07 Feb 2013 12:21:05 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/schooltool.intervention

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testrunner, python-zope.app.testing, python-zope.intid, python-zope.site

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/flourish/schooltool.intervention-(\d.*)\.tar\.gz

## schooltool.intervention 2.4.0

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,20 @@
 	virtualenv --no-site-packages -p $(PYTHON) python
 
 .PHONY: bootstrap
-bootstrap bin/buildout: python
+bootstrap bin/buildout: | buildout.cfg python
 	python/bin/python bootstrap.py
 
+buildout.cfg:
+	cp deploy.cfg buildout.cfg
+
 .PHONY: buildout
-buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
+buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
 	bin/buildout $(BUILDOUT_FLAGS)
+
+.PHONY: develop
+develop bin/coverage: buildout.cfg develop.cfg
+	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
+	$(MAKE) buildout
 
 .PHONY: update
 update:
@@ -42,7 +50,7 @@
 
 .PHONY: tags
 tags: build
-	bin/tags
+	bin/ctags
 
 .PHONY: clean
 clean:
@@ -57,6 +65,7 @@
 
 .PHONY: realclean
 realclean:
+	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
 	rm -rf instance
@@ -84,7 +93,7 @@
 	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: build
+coverage-reports-html coverage/reports: bin/coverage build
 	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
@@ -97,7 +106,7 @@
 	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: build
+ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
 	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
@@ -131,9 +140,12 @@
 
 .PHONY: release
 release: compile-translations
+	-cp buildout.cfg buildout.cfg~dev~
+	cp deploy.cfg buildout.cfg
 	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
 	$(PYTHON) setup.py sdist
 	rm -f version.txt
+	-mv buildout.cfg~dev~ buildout.cfg
 
 .PHONY: move-release
 move-release: upload
@@ -141,7 +153,8 @@
 
 .PHONY: upload
 upload:
-	@VERSION=`cat version.txt.in` ;\
+	set -e ;\
+	VERSION=`cat version.txt.in` ;\
 	DIST=$(DIST) ;\
 	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
 	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
@@ -157,7 +170,8 @@
 
 .PHONY: ubuntu-environment
 ubuntu-environment:
-	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev
+	sudo apt-get install build-essential gettext enscript \
+	    python-dev python-virtualenv \
+	    ttf-ubuntu-font-family ttf-liberation \
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev

=== debian/changelog ===
schooltool.intervention (2.4.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Updated translations
  * debian/control: Requires python 2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 18 Apr 2013 17:56:41 +0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb (>= 1.3.0-4)
+               python-van.pydeb
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.intervention
 
 Package: python-schooltool.intervention

## schooltool.intervention 2.5.1

=== debian/changelog ===
schooltool.intervention (2.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/watch: change series to trunk

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 13:34:34 +0300

## schooltool.intervention 2.5.2

=== debian/changelog ===
schooltool.intervention (2.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Aug 2013 19:56:13 +0300

## schooltool.intervention 2.6.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/intervention/locales
 TRANSLATIONS_ZCML=schooltool/intervention/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/trunk
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -162,8 +162,8 @@
 	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	else \
-	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
-	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
+	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
+	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
 	fi
 
 # Helpers

=== debian/changelog ===
schooltool.intervention (2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: requires python-schooltool (>= 1:2.6)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 22:35:38 +0300

## schooltool.intervention 2.6.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 INSTANCE_TYPE=schooltool
 BUILDOUT_FLAGS=
+REDIS_PORT:=$$(grep ^port instance/redis.conf | cut -d' ' -f 2)
 
 .PHONY: all
 all: build
@@ -44,27 +45,76 @@
 instance: | build
 	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)
 
+instance/run/supervisord.pid:
+	bin/supervisord
+
 .PHONY: run
-run: build instance
-	bin/start-schooltool-instance instance
+run: build instance instance/run/supervisord.pid
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
+
+.PHONY: start
+start: build instance instance/run/supervisord.pid
+	bin/supervisorctl start all
+	@bin/supervisorctl status
+
+.PHONY: start-services
+start-services: build instance instance/run/supervisord.pid
+	@bin/supervisorctl status | grep services[:] | grep -v RUNNING && bin/supervisorctl start "services:*" || exit 0
+	@bin/supervisorctl status | grep services[:]
+
+.PHONY: restart
+restart: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	bin/supervisorctl restart schooltool
+	@bin/supervisorctl status
+
+.PHONY: rerun
+rerun: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
+
+.PHONY: stop
+stop:
+	@test -S instance/run/supervisord.sock && bin/supervisorctl status | grep -v STOPPED && bin/supervisorctl stop all || exit 0
+	@test -S instance/run/supervisord.sock && bin/supervisorctl shutdown || echo Nothing to stop
+	@rm -f instance/run/zeo.sock
+	@rm -f instance/run/supervisord.sock
+	@rm -f instance/run/supervisord.pid
+
+.PHONY: status
+status:
+	@test -f instance/run/supervisord.pid && bin/supervisorctl status || echo All services shut down
 
 .PHONY: tags
 tags: build
 	bin/ctags
 
 .PHONY: clean
-clean:
+clean: stop
 	rm -rf python
 	rm -rf bin develop-eggs parts .installed.cfg
 	rm -rf build
 	rm -f ID TAGS tags
 	rm -rf coverage ftest-coverage
+	rm -rf instance/var/celerybeat-schedule
+	rm -rf instance/var/redis-dump.rdb
+	rm -rf instance/run/zeo.sock
+	rm -rf instance/run/supervisord.sock
+	rm -rf instance/run/supervisord.pid
+	rm -rf instance/var/Data.fs.lock
 	find . -name '*.py[co]' -delete
 	find . -name '*.mo' -delete
 	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +
 
 .PHONY: realclean
-realclean:
+realclean: stop
 	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
@@ -173,5 +223,6 @@
 	sudo apt-get install build-essential gettext enscript \
 	    python-dev python-virtualenv \
 	    ttf-ubuntu-font-family ttf-liberation \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev
-
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev \
+	    redis-server
+

=== debian/changelog ===
schooltool.intervention (2.6.2-0ubuntu1) trusty; urgency=low

  * New upstream release.
    - Translations and compatibility with old schooltool.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 09 Apr 2014 03:09:41 +0300

schooltool.intervention (2.6.1-0ubuntu1) trusty; urgency=low

  * New upstream release.
    - Fixed Inbox when goals have no "Presenting concerns" set (LP: #1231371)
    - Fixed various permission errors.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 06 Dec 2013 19:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.intervention
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.0.3)
+         python-schooltool (>= 1:2.6)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Student intervention plugin for SchoolTool

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_build:
 	rm -f src/schooltool/intervention/locales/*.po
 	dh_auto_build
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-zope.app.testing, python-zope.intid, python-zope.site

## schooltool.intervention 2.7.0

=== debian/changelog ===
schooltool.intervention (2.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    - Temporal relationships support.
  * Bump standards to 3.9.6
  * Build-depend on dh-python.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 23 Nov 2014 21:14:15 +0530

## schooltool.intervention 2.7.1

=== debian/changelog ===
schooltool.intervention (2.7.1-0ubuntu1) wily; urgency=medium

  * New upstream release.
    - Fix failing tests

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 25 Aug 2015 15:12:37 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb
-Standards-Version: 3.9.4
+               python-van.pydeb,
+               dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.intervention

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool.intervention-(\d.*)\.tar\.gz
